MetaSoul

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
emoshapeio Namespace Reference

## Classes
class | array_message
class | binary_message
class | bool_message
class | client
class | client_impl
class | client_impl_base
class | double_message
class | event
class | event_adapter
class | int_message
class | message
class | null_message
class | object_message
class | packet
class | packet_manager
class | socket
class | string_message

## Typedefs
typedef websocketpp::client< client_config > | client_type_no_tls

## Functions
void | accept_message (message const &msg, Value &val, Document &doc, vector< shared_ptr< const string > > &buffers)
void | accept_bool_message (bool_message const &msg, Value &val)
void | accept_null_message (Value &val)
void | accept_int_message (int_message const &msg, Value &val)
void | accept_double_message (double_message const &msg, Value &val)
void | accept_string_message (string_message const &msg, Value &val)
void | accept_binary_message (binary_message const &msg, Value &val, Document &doc, vector< shared_ptr< const string > > &buffers)
void | accept_array_message (array_message const &msg, Value &val, Document &doc, vector< shared_ptr< const string > > &buffers)
void | accept_object_message (object_message const &msg, Value &val, Document &doc, vector< shared_ptr< const string > > &buffers)
message::ptr | from_json (Value const &value, vector< shared_ptr< const string > > const &buffers)

## Typedef Documentation

## ◆ client_type_no_tls

typedef websocketpp::client<client_config> emoshapeio::client_type_no_tls

## Function Documentation

## ◆ accept_array_message()

void emoshapeio::accept_array_message | ( | array_message const & | msg,
|  | Value & | val,
|  | Document & | doc,
|  | vector< shared_ptr< const string > > & | buffers )

## ◆ accept_binary_message()

void emoshapeio::accept_binary_message | ( | binary_message const & | msg,
|  | Value & | val,
|  | Document & | doc,
|  | vector< shared_ptr< const string > > & | buffers )

## ◆ accept_bool_message()

void emoshapeio::accept_bool_message | ( | bool_message const & | msg,
|  | Value & | val )

## ◆ accept_double_message()

void emoshapeio::accept_double_message | ( | double_message const & | msg,
|  | Value & | val )

## ◆ accept_int_message()

void emoshapeio::accept_int_message | ( | int_message const & | msg,
|  | Value & | val )

## ◆ accept_message()

void emoshapeio::accept_message | ( | message const & | msg,
|  | Value & | val,
|  | Document & | doc,
|  | vector< shared_ptr< const string > > & | buffers )

## ◆ accept_null_message()

void emoshapeio::accept_null_message | ( | Value & | val | ) |

## ◆ accept_object_message()

void emoshapeio::accept_object_message | ( | object_message const & | msg,
|  | Value & | val,
|  | Document & | doc,
|  | vector< shared_ptr< const string > > & | buffers )

## ◆ accept_string_message()

void emoshapeio::accept_string_message | ( | string_message const & | msg,
|  | Value & | val )

## ◆ from_json()

message::ptr emoshapeio::from_json | ( | Value const & | value,
|  | vector< shared_ptr< const string > > const & | buffers )